## org.eclipse.emf.compare.ui
Class AbstractCompareAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.emf.compare.ui.AbstractCompareAction

All Implemented Interfaces:
  org.eclipse.jface.action.IAction

Direct Known Subclasses:
  ExportMenu

    public abstract class AbstractCompareAction

extends org.eclipse.jface.action.Action

Implements an action that will be initialized given a `ResourceBundle` and a key prefix.

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`AbstractCompareAction(IExportAction descriptor)` Creates and initializes an action given a `descriptor`.
`AbstractCompareAction(java.util.ResourceBundle bundle, java.lang.String keyPrefix)` Creates and initializes an action given its `ResourceBundle` and its keys prefix.

Method Summary
`abstract void` `run()` Subclasses should override this method to define their action's behavior.

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### AbstractCompareAction

    public AbstractCompareAction(IExportAction descriptor)

  Creates and initializes an action given a `descriptor`.

  Parameters:
    `descriptor` - Descriptor from which we'll get the needed parameters.

### AbstractCompareAction

    public AbstractCompareAction(java.util.ResourceBundle bundle,
                                 java.lang.String keyPrefix)

  Creates and initializes an action given its `ResourceBundle` and its keys prefix.

  Expects keys are of the form

  - displayed label : `keyPrefix`label (ex: compare.label)
  - action tooltip : `keyPrefix`tooltip (ex: compare.tooltip)
  - action icon : `keyPrefix`image (ex: compare.image)

  Parameters:
    `bundle` - The bundle from which to read the keys.
    `keyPrefix` - Prefix for this action's keys.

Method Detail

### run

    public abstract void run()

  Subclasses should override this method to define their action's behavior.

  Specified by:
    `run` in interface `org.eclipse.jface.action.IAction`
  Overrides:
    `run` in class `org.eclipse.jface.action.Action`
  See Also:
    `Action.run()`

Copyright 2006 IBM Corporation and others. All Rights Reserved.